Skip to main content

Atrium API

List Holdings By Member

Read all holdings associated with a specific member.

GET
/users/{user_guid}/members/{member_guid}/holdings

Request sample

Language:sh

_10
curl -i 'https://vestibule.mx.com/users/USR-743e5d7f-1116-28fa-5de1-d3ba02e41d8d/members/MBR-d65683e8-9eab-26bb-bcfd-ced159c9abe/holdings' \
_10
-H 'Accept: application/vnd.mx.atrium.v1+json' \
_10
-H 'MX-API-Key: {mx_api_key}' \
_10
-H 'MX-Client-ID: {mx_client_id}'

Response sample

200
Language:json

_46
{
_46
"holdings": [
_46
{
_46
"account_guid": "ACT-d65683e8-9eab-26bb-bcfd-ced159c9abe2",
_46
"cost_basis": 676,
_46
"created_at": "2015-04-13T12:01:23-06:00",
_46
"currency_code": "USD",
_46
"cusip": "18383M878",
_46
"daily_change": 2.59,
_46
"description": "Guggenheim Defensive Equity ETF",
_46
"guid": "HOL-d65683e8-9eab-26bb-bcfd-ced159c9abe2",
_46
"holding_type": "MONEY_MARKET",
_46
"market_value": 899.5,
_46
"member_guid": "MBR-d65683e8-9eab-26bb-bcfd-ced159c9abe",
_46
"purchase_price": 26.3,
_46
"shares": 6,
_46
"symbol": "DEF",
_46
"updated_at": "2015-04-13T12:01:23-06:00",
_46
"user_guid": "USR-743e5d7f-1116-28fa-5de1-d3ba02e41d8d"
_46
},
_46
{
_46
"account_guid": "ACT-d65683e8-9eab-26bb-bcfd-ced159c9abe2",
_46
"cost_basis": 827,
_46
"created_at": "2015-04-13T12:01:23-06:00",
_46
"currency_code": "USD",
_46
"cusip": "18383M878",
_46
"daily_change": 2.5,
_46
"description": "Guggenheim Defensive Equity ETF",
_46
"guid": "HOL-d65683e8-9eab-26bb-bcfd-ced159c9abe2",
_46
"holding_type": "MONEY_MARKET",
_46
"market_value": 989.5,
_46
"member_guid": "MBR-d65683e8-9eab-26bb-bcfd-ced159c9abe",
_46
"purchase_price": 26.3,
_46
"shares": 6,
_46
"symbol": "DEF",
_46
"updated_at": "2015-04-13T12:01:23-06:00",
_46
"user_guid": "USR-743e5d7f-1116-28fa-5de1-d3ba02e41d8d"
_46
}
_46
],
_46
"pagination": {
_46
"current_page": 1,
_46
"per_page": 25,
_46
"total_entries": 1,
_46
"total_pages": 1
_46
}
_46
}